Archived

This topic is now archived and is closed to further replies.

The encoded file has format major ID 3

4 posts in this topic

Posted

Hi All,

got this error after hoster installed Zen Guard (last version they tell)

I Have to say CC4 Was NOT fully installed as it stopped by for the lack of Zend Optimizer (and no ionCube at all)

Is it any chance to install safely CC 4 in there? (As far as you can tell by this line)

Fatal error: Incompatible file format: The encoded file has format major ID 3, whereas the Loader expects 4 in /var/www/clients/client49/web3447/web/index_enc_zend.php on line 0

thanks

Share this post


Link to post
Share on other sites

Posted

Hi All,

got this error after hoster installed Zen Guard (last version they tell)

I Have to say CC4 Was NOT fully installed as it stopped by for the lack of Zend Optimizer (and no ionCube at all)

Is it any chance to install safely CC 4 in there? (As far as you can tell by this line)

Fatal error: Incompatible file format: The encoded file has format major ID 3, whereas the Loader expects 4 in /var/www/clients/client49/web3447/web/index_enc_zend.php on line 0




thanks

Hi, this looks to be a version issue. I don't much about Zend backwards compatibility - so can't offer any serious help. I read you error message as the CubeCart file is encoded with version 3, and the Zend frameworks will only work with version 4. This does sound to be a server/hosting issue. If you can, create a simple PHP script that outputs php info;

Save this as phpinfo.php and upload to your site, run the script in your browser and see what versions are installed of PHP and Zend.

Delete the file after use.

If you can post back the Zend info (don't post any other details for now), it may show some problems.

Jason

<?php

phpinfo();

?>

Share this post


Link to post
Share on other sites

Posted

Hi All,

got this error after hoster installed Zen Guard (last version they tell)

I Have to say CC4 Was NOT fully installed as it stopped by for the lack of Zend Optimizer (and no ionCube at all)

Is it any chance to install safely CC 4 in there? (As far as you can tell by this line)

Fatal error: Incompatible file format: The encoded file has format major ID 3, whereas the Loader expects 4 in /var/www/clients/client49/web3447/web/index_enc_zend.php on line 0




thanks

Hi, this looks to be a version issue. I don't much about Zend backwards compatibility - so can't offer any serious help. I read you error message as the CubeCart file is encoded with version 3, and the Zend frameworks will only work with version 4. This does sound to be a server/hosting issue. If you can, create a simple PHP script that outputs php info;

Save this as phpinfo.php and upload to your site, run the script in your browser and see what versions are installed of PHP and Zend.

Delete the file after use.

If you can post back the Zend info (don't post any other details for now), it may show some problems.

Jason

<?php

phpinfo();

?>

Hi Vokf,

Thanks for help.

the output is:

This program makes use of the Zend Scripting Language Engine:

Zend Engine v2.3.0, Copyright © 1998-2010 Zend Technologies

with Zend Guard Loader v3.3, Copyright © 1998-2010, by Zend Technologies

They tell (hosting) Zend Optimizer has got renamed to Zend Guard Loader in php 5.3.

and the v 3.3 must be the latest stable.

So how can CC call for the v4. ?

I really love these things....

thanks

Share this post


Link to post
Share on other sites

Posted

I seem to be having the same issue. Is there a solution?

Share this post


Link to post
Share on other sites